# Uses of Interface
org.opensaml.security.x509.tls.ClientTLSValidationParametersResolver

Packages that use ClientTLSValidationParametersResolver
Package
Description
org.opensaml.profile.action.impl
Implementations of general profile actions.
org.opensaml.security.x509.tls.impl
Implementation classes for client TLS security.

## Uses of ClientTLSValidationParametersResolver in org.opensaml.profile.action.impl

Fields in org.opensaml.profile.action.impl declared as ClientTLSValidationParametersResolver
Modifier and Type
Field
Description
`private ClientTLSValidationParametersResolver`
PopulateClientTLSValidationParameters.`resolver`
Resolver for parameters to store into context.
Methods in org.opensaml.profile.action.impl with parameters of type ClientTLSValidationParametersResolver
Modifier and Type
Method
Description
`void`
PopulateClientTLSValidationParameters.`setClientTLSValidationParametersResolver(ClientTLSValidationParametersResolver newResolver)`
Set the resolver to use for the parameters to store into the context.

## Uses of ClientTLSValidationParametersResolver in org.opensaml.security.x509.tls.impl

Classes in org.opensaml.security.x509.tls.impl that implement ClientTLSValidationParametersResolver
Modifier and Type
Class
Description
`class`
`BasicClientTLSValidationParametersResolver`
Basic implementation of `ClientTLSValidationParametersResolver`.